------------------------------------------------------------------------------
---- Part A: basic tables for V1                                          ----
---- assist memory for accurate details                                   ---- 
------------------------------------------------------------------------------

-- 行政区域版本
create table regionVersion
(
	id             	integer    primary key autoincrement,    
    version         float     not null default 0
);

-- 行政区域
create table region
(
    id             integer     primary key,    
    name	       text        not null,
    parentId	   integer	   not null,
    anArea        	text       null,
    haveNode  	   integer     null default 0
);

-- 校园数据版本
create table schoolVersion
(
	id             	integer    primary key autoincrement,    
    version         float     not null default 0
);

-- 校园数据
create table school
(
    id             integer     primary key,     
    region		   text        not null,
    name	       text        not null
);


-- 圈子成员
/*
create table base_circle_member
(
    pkid           integer     primary key     autoincrement,
    circleId       integer
                   references base_circle(circleId) on delete restrict,    
    userId		   integer		not null,
    account		   text		    not null,
    realname	   text		    not null,
    avatar		   text		    not null,
    previewAvatar  text		    not null,
    sex	       	   integer		not null,
    createtime     text         null
);*/
